Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: No tweaks work for evasi0n iOS 7.0.4 jailbreak?

  1. #1
    Default No tweaks work for evasi0n iOS 7.0.4 jailbreak?
    hello,

    I jailbroke my iPhone 5S today with Evasi0n 7.0.4 jailbreak and everything went fine. However, when I started installed tweaks that are already known to be compatible with iOS 7, they didn't work. None of the tweaks I have installed have worked so far. They show up in the packages section of the manage slot but don't show up in my settings or perform the tasks they are supposed to do. An example would be the tweak NoNewsIsGoodNews (it isn't supposed to show up in setting because there are none) but no visible affects of the tweak are showing like how it should remove the news stand app from the springboard. Any ideas why this tweak and many others aren't working or what I can do to fix them?
    thanks,

  2. #2
    Tweaks will not work on your 5S until mobile substrate is updated to be compatible with the new chip :-) should be very soon

  3. #3
    Huh, thats too bad! Thanks for the info though, but I have one more quick question. If no tweaks work yet because of the A7 chip, will the tweaks compatible with iOS 7 work on the iPhone 5 with the A6 chip?

  4. #4
    Retired Moderator 2k1's Avatar
    Join Date
    Jan 2011
    Location
    Hammond Louisiana
    Posts
    34,023
    Thanks
    1,815
    Thanked 7,065 Times in 4,206 Posts

    Some work and some don't. 5s is gonna be different because of the 64bit chip in the phone.

  5. #5
    Think of it like 32 v 64 bit windows installation. A 64 bit installation can potentially run 32bit programmes but the opposite isn't true. Guess this means that devs may have to develop two versions of tweaks....

  6. #6
    Retired Moderator 2k1's Avatar
    Join Date
    Jan 2011
    Location
    Hammond Louisiana
    Posts
    34,023
    Thanks
    1,815
    Thanked 7,065 Times in 4,206 Posts

    Quote Originally Posted by docmagoo2 View Post
    Think of it like 32 v 64 bit windows installation. A 64 bit installation can potentially run 32bit programmes but the opposite isn't true. Guess this means that devs may have to develop two versions of tweaks....
    Think that's what's gonna have to happen.

  7. #7
    What's Jailbreak?
    Join Date
    Jul 2013
    Location
    Rock Springs, Wyoming, United States.
    Posts
    19
    Thanks
    3
    Thanked 1 Time in 1 Post
    Hi. I uploaded my theme called Snow Theme few days ago.
    I don't have no problem when I tested on my iPod Touch 4th
    (OS 5.1.1)before I submitted to ModMyi. However, when I tried to download from Cydia and install it on iPod, it got errors.

    subprocess dpkg-deb --fsys-tarfile returned error exit status 2
    Sub-process /usr/bin/dpkg returned an error code (1)



    When I zipped the Theme folder, i gave the name of the folder "Snow Theme 2". So the zip file name is also "Snow Theme 2." Is there any way the names of the Theme folder and the zip file maybe a problem?
    Or the problem is caused by something.......
    I am good at making themes but not at that kind of stuffs......you know.
    And some people also emailed me that they also had that kind of problem while downloading the theme.
    Here is some of the logs are:

    dyld: DYLD_ environment variables being ignored because main executable (//Applications/Cydia.app/MobileCydia) is setuid or setgid
    2013-12-26 19:07:53.419 MobileCydia[316:e07] Setting Language: en_US
    2013-12-26 19:07:53.533 MobileCydia[316:e07] dlopen(/Library/MobileSubstrate/DynamicLibraries/WinterBoard.dylib, 9): Library not loaded: /System/Library/PrivateFrameworks/ImageIO.framework/ImageIO
    Referenced from: /Library/MobileSubstrate/DynamicLibraries/WinterBoard.dylib
    Reason: image not found
    S:pmstatus:dpkg-exec:0:Running dpkg
    O:(Reading database ... 10058 files and directories currently installed.)
    O:Preparing to replace com.modmyi.snowtheme 1.0 (using .../com.modmyi.snowtheme_2.0_iphoneos-arm.deb) ...
    S:pmstatus:com.modmyi.snowtheme:9.09091:Preparing com.modmyi.snowtheme
    dpkg-deb: file `/var/cache/apt/archives/com.modmyi.snowtheme_2.0_iphoneos-arm.deb' contains ununderstood data member data.tar.xz , giving up
    dpkg: error processing /var/cache/apt/archives/com.modmyi.snowtheme_2.0_iphoneos-arm.deb (--unpack):
    subprocess dpkg-deb --fsys-tarfile returned error exit status 2
    O:Unpacking replacement com.modmyi.snowtheme ...
    S:pmerror:/var/cache/apt/archives/com.modmyi.snowtheme_2.0_iphoneos-arm.deb:9.09091:subprocess dpkg-deb --fsys-tarfile returned error exit status 2
    Errors were encountered while processing:
    /var/cache/apt/archives/com.modmyi.snowtheme_2.0_iphoneos-arm.deb
    E:[Sub-process /usr/bin/dpkg returned an error code (1)]


    I already posted in Forums. Here is the link

    And today,someone send me a message and said my package is not working. Later, he sent me another message that he thought it was not my package but it is Modmyi repo. And he also sent me a screenshot:-image.png

    The errors is the same as my package's errors.

    Sincerely, I don't know what is the problem-- my package or modmyi repo.


    Thanks.
    Tnt

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •